Skip to main content
GET
/
api
/
currencies
/
{currencyCode}
Get a currency by code
curl --request GET \
  --url https://api.example.com/api/currencies/{currencyCode} \
  --header 'Authorization: <authorization>' \
  --header 'organization-id: <organization-id>'
import requests

url = "https://api.example.com/api/currencies/{currencyCode}"

headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};

fetch('https://api.example.com/api/currencies/{currencyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "currencyName": "US Dollar",
  "currencyCode": "USD",
  "currencySign": "$",
  "isBaseCurrency": true,
  "createdAt": "2024-03-20T10:00:00Z",
  "updatedAt": "2024-03-20T10:00:00Z"
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

currencyCode
string
required

Currency code

Response

The currency details.

id
number
required

The unique identifier of the currency

Example:

1

currencyName
string
required

The name of the currency

Example:

"US Dollar"

currencyCode
string
required

The code of the currency

Example:

"USD"

currencySign
string
required

The sign/symbol of the currency

Example:

"$"

isBaseCurrency
boolean
required

Whether this is the base currency for the organization

Example:

true

createdAt
string<date-time>
required

The creation timestamp

Example:

"2024-03-20T10:00:00Z"

updatedAt
string<date-time>
required

The last update timestamp

Example:

"2024-03-20T10:00:00Z"